/* This program extracts and renames the variables of interest from the 2011-2012 Area 
Resource File dataset. */

set maxvar 10000
use /disk/agedisk2/medstat.work/dcoey/Data/ARF_Data/arf2011.dta
#delimit ;

keep f00002 f04437 f0885710 f0461805 f0463105 f0467105 f0468005 f0472005 f0886805 f0892105 
f1256608 f1407008 f1407208 f1466108 f0913308 f0930705 f0954600 f0956605 f0958305 f1331805 
f1319405 f1319505 f1198405 f1408305 f1348300 f0453700 f0453800 f1319305 f1324905 f1255805 
f1194104 f1193304 f1316504 f1316904 f1195304 f1195404 f1195504 f0978105 f1322605 f1416806 
f1418006 f0679505;

#delimit cr


/* These are the descriptions of the variables from ARF 2011 Tech Doc.xls */

rename f00002   empcty
rename f04437   CtyName
rename f0461805 NumMedSpec
rename f0467105 NumSurgSpec
rename f0886805 NumHosp
rename f1256608 NumHospWCardIntnsvCare
rename f1407008 NumHospWAdltIntrvnCardCath
rename f1407208 NumHospWAdltCardSrg
rename f1466108 NumHospWCardElectrphy
rename f0913308 NumBedsCardIntnsvCare
rename f0958305 NumInptSrg
rename f1331805 NumOR
rename f1198405 PopEst
rename f1348300 MedAge
rename f1193304 IschHDMrt3YrAvg
rename f1316504 OthrCVMrt3YrAvg
rename f1316904 DbtsMrt3YrAvg
rename f1255805 TotDthsCnsEst
rename f1194104 TotDths3YrAvg
rename f1195304 Mrt35_44_3YrAvg
rename f1195404 Mrt45_54_3YrAvg
rename f1195504 Mrt55_64_3YrAvg
rename f0978105 PerCapIncome
rename f1322605 MedHhldIncome

gen hospctynomiss = empcty

/* Rescale these variables so that they range roughly from zero to one. This is useful
when assigning random starting values to the associated coefficient - can draw starting
values from a distribution with a constant variance across variables. */
gen FracMed = NumMedSpec/(NumMedSpec+NumSurgSpec)
gen MedAgeHun = MedAge/100
gen MedHhldIncomeHunT = MedHhldIncome*1e-5
gen IschHDMrt3YrAvgPerCapPerHun = 1e2*IschHDMrt3YrAvg/PopEst
gen NumHospWAdltIntrvnCardCathPerTnT = 1e4*NumHospWAdltIntrvnCardCath/PopEst
gen NumHospWAdltCardSrgPerTnT = 1e4*NumHospWAdltCardSrg/PopEst
gen NumBedsCardIntnsvCarePerT = 1e3*NumBedsCardIntnsvCare/PopEst
gen NumInptSrgPerCap = NumInptSrg/PopEst

save /disk/agedisk2/medstat.work/dcoey/Data/ARF_Data/arfclean2011.dta, replace

list empcty CtyName NumMedSpec NumSurgSpec NumHospWCardIntnsvCare NumHospWAdltIntrvnCardCath NumHospWAdlyCardSrg NumHospWCardElectrphy NumBedsCardIntnsvCare NumInptSrg NumOR PopEst IschHDMrt3YrAvg OthrCVMrt3YrAvg DbtsMrt3YrAvg Mrt35_44_3YrAvg Mrt45_54_3YrAvg Mrt55_64_3YrAvg PerCapIncome MedHhldIncome
