/* Define globals for the first stage, gibbs sampler and standard error calculations. */

global Data /disk/agedisk2/medstat.work/dcoey/Data
global Code /disk/agedisk2/medstat.work/dcoey/Code

/* Define some macros which determine which Gibbs sampler will be run. */
global ngs 5000 /* Number of GS draws. */
global TypebP 0 /* Should be 0 (if only estimating one bP) or 1 (if bP varies by nonresp 
	and resp), or 2 (if bP varies by region), or 3 (if bP varies by year), or 4 or 5 
	(if bP varies by procedure) or 6 (if bP varies by provider concentration). */
global NonResp SomeEmrg /* NonResp is an indicator for those for whom a smaller price 
	elasticity is expected. Set NonResp = SomeEmrg or ST, if TypebP == 1 */
global seed 10
global PriorDoF 10 /* Parameter for unrestricted covariance prior. */
global PriorScaleScalar 1 /* Parameter for unrestricted covariance prior. */

global PhysInfo 1 /* 0 for no physician info, 1 for physician info. */
global CtyInfo 1 /* 0 for no county data, 1 for county data (from the ARF dataset). */
global ClinInfo 1 /* 1 if including clinical info as covariates, 0 otherwise. */

global Otl 10 /* This determines which aIns matrix to make (in the FirstStage) and to use
	(in the Gibbs sampler. Otl refers to the cutoff for outliers. */
global PredIns 0 /* 0 if Ins included as regressors, 1 if using values of Ins predicted
			on the basis of employee plan types shares.*/
global DiagSig 0 /* 1 if errors are independent, 0 if unrestricted covariance. */
global StVals 0 /* 0 if starting from the origin, 1 if random starting values, and 2 if 
	starting from the estimates of a previous model (if you choose 2 make sure it makes 	
	sense for the model you're running). */
global NaiveaIns 0 /* 0 if using coefficients from regression of observed prices on plan 
	type indicators, 1 if using service data instead. If NaiveaIns is 1, the Gibbs sampler
	also assumes the price and utility errors are independent. */
global RdForm 0 /* If 0, estimates the "structural" model, where insurance plan types
 	affect utilities through log payments. If 1, estimates the model where insurance plan 		
	types feature directly in utilities, and log payments do not (the prior on the bP
	variable is centered at 0 with a small variance). */		

global BSReps 50 /* The number of resampling draws for the standard errors. Used in 
	FirstStage and StandardErrors. */
global BSaIns 1 /* This is 0 if finding point estimates of aIns, and 1 if finding 
	bootstrapped standard errors. */

global Name n${ngs}t${TypebP}r${NonResp}s${seed}pi${PhysInfo}ci${CtyInfo}o${Otl}d${DiagSig}cl${ClinInfo}st${StVals}
/* global sv n${ngs}t${TypebP}r${NonResp}s${seed}pi0ci${CtyInfo}rv0o${Otl}d${DiagSig}cl${ClinInfo}st0  *//* sv is the specification from which you are taking the starting values, if $StVals 
 == 2. */
/* Specify the latest versions of the dataset and do files. */
/* 
global EstSample EstSample_v1p2 
global RegFile RegsForFirstStage_v2p5
global ModelFunctions ModelFunctions_v1p12
global ModelPrograms ModelPrograms_v1p4
global SetUp SetUp_v1p10
global StartingValues StartingValues_v1p3
global InitializeGibbsSampler InitializeGibbsSampler_v2
global GibbsSampler GibbsSampler_v1p7
global StandardErrors StandardErrors_v2p1
global MarginalEffects MarginalEffects_v1p2
global Counterfactuals Counterfactuals_v1p5
global CFFunctions CFFunctions_v1p0 
*/

global CtyVars FracMed MedAgeHun MedHhldIncomeHunT IschHDMrt3YrAvgPerCapPerHun /// 
	NumHospWAdltIntrvnCardCathPerTnT NumHospWAdltCardSrgPerTnT ///
	NumBedsCardIntnsvCarePerT NumInptSrgPerCap



