/* This file merges the benefit plan design data into the main dataset, and finds the spending thresholds beyond which plan types  */

local Data /disk/agedisk2/medstat.work/dcoey/Data
use `Data'/2003/bpd2003  /* Seems like bpd for 2002 is missing, so start from 2003. */
gen year = 2003
forvalues ii = 2004/2007{
	append using `Data'/`ii'/bpd`ii', gen(temp)	
	replace year = `ii' if temp
	drop temp
}
save `Data'/bpd, replace
drop rx /* So that the merge works. */
merge 1:m plankey year using `Data'/EstSample, keep(match using) nogen


/* The amount you need to spend to reach the out of pocket maximum satisfies (1-.01*coins)*(ReachOOP-ded)+ded = oop. */
gen newioop = max(ioop,ided) /* A few cases have ioop < ided. Set ioop = ided. */
replace newioop = . if mi(ioop) | mi(ided)
gen Reachioop = (newioop - ided)/(1-.01*coins) + ided
gen coinsreport = 1-.01*coins
gen zerocoins = coins == 0
sum ided coinsreport newioop Reachioop if ~mi(Reachioop)
table plantyp if ~mi(Reachioop), c(n ided m ided m coinsreport m newioop m Reachioop) row
table plantyp if ~mi(Reachioop), c(n ided m Reachioop sd Reachioop) row
table plantyp if ~mi(Reachioop), c(m zerocoins) row
