/* This file calculates the RVUs that would be associated with the AMIs in the data. */

clear all
macro drop _all
version 12.1
set more off
global Data /disk/agedisk2/medstat.work/dcoey/Data
global Code /disk/agedisk2/medstat.work/dcoey/Code
do ${Code}/DefineGlobals.do
use ${Data}/${EstSample}
drop agegrp eeclass eestatu indstry egeoloc *proc*
merge 1:m enrolid caseid using ${Data}/ccaes_relevant.dta, keep(match) assert(match) nogen

merge m:1 proc1 using ${Data}/RVU2007.dta, nogen /* This is made by GetRVUs.do, see local 
	computer for file and source data. Using 2007 RVUs for patients of all years. */
drop if mi(proc1) /* Looking only at physician claims, not hospital claims. */
drop if mi(Procedure)
bys enrolid caseid: egen totrvu = sum(rvu)
bys enrolid caseid: keep if _n == 1
sum totrvu thpp
reg totrvu thpp
gen MedicarePay = totrvu*37.90*1e-3 /* Use appropriate conversion factors. */
replace MedicarePay = totrvu*37.34*1e-3 if year == 2004
replace MedicarePay = totrvu*36.79*1e-3 if year == 2003
replace MedicarePay = totrvu*36.20*1e-3 if year == 2002
table Procedure, c(mean MedicarePay mean thpp)
bys plantyp Procedure: sum totrvu thpp
